UMOUNT(8)

NOM
umount - Démonter des systèmes de fichiers

SYNOPSIS

umount -a [-dflnrv] [-t type] [-O option...]

umount [-dflnrv] {répertoire|périphérique}

umount -h|-V

DESCRIPTION

La commande umount détache les systèmes de fichiers mentionnés de la hiérarchie des fichiers. Un système de fichiers est indiqué en donnant le nom du répertoire dans lequel il a été monté. Fournir le périphérique spécial sur lequel réside le système de fichiers peut également fonctionner, mais est obsolète, principalement parce que cela échouera si ce périphérique a été monté dans plus d’un répertoire.

Remarquez qu’un système de fichiers ne peut pas être démonté quand il est « occupé », par exemple quand des fichiers sont ouverts dessus, quand certains processus y ont leur répertoire de travail ou quand un fichier d’échange y est utilisé. Le processus responsable pourrait même être umount lui-même : il ouvre la libc, qui peut, par exemple, ouvrir à son tour des fichiers locaux. Un démontage paresseux évite ce problème mais il peut introduire d’autres problèmes. Consultez la description de --lazy ci-dessous.

OPTIONS

-a, --all
    Tous les systèmes de fichiers détaillés dans /proc/self/mountinfo (ou dans le /etc/mtab obsolète) sont démontés, exceptés les systèmes de fichiers proc, devfs, devpts, sysfs, rpc_pipefs et nfsd. Cette liste de systèmes de fichiers peut être remplacée par l’option de démontage --types.

-A, --all-targets
    Démonter tous les points de montage dans l’espace de noms montage actuel pour le système de fichiers indiqué. Le système de fichiers peut être indiqué par les points de montage ou le nom (ou l’UUID, etc.) du périphérique. Quand cette option est utilisée avec --recursive, alors tous les montages imbriqués dans le système de fichiers sont démontés de façon récursive. Cette option n’est prise en charge que sur les systèmes où /etc/mtab est un lien symbolique vers /proc/mounts.

-c, --no-canonicalize
    Ne pas rendre les chemins canoniques. La mise en forme canonique des chemins est basée sur des appels système stat(2) et readlink(2). Ces appels peuvent planter dans certains cas (par exemple sur NFS si le serveur n’est pas disponible). L’option doit être utilisée avec un chemin canonique vers le point de montage.

    This option is silently ignored by umount for non-root users.

    Consultez la page de manuel mount(8) pour plus de précisions sur cette option. Remarquez que umount ne passe pas cette option aux auxiliaires /sbin/umount.type.

-d, --detach-loop
    Quand le périphérique démonté est un périphérique boucle, libérer ce périphérique boucle. Cette option n’est pas nécessaire pour les périphériques initialisés par mount(8), dans ce cas la fonctionnalité « autoclear » est activée par défaut.

--fake
    Toutes les actions seront exécutées sauf le véritable appel système ou l’exécution d’auxiliaire de démontage. Cela imite le démontage du système de fichiers. Cela permet de retirer des entrées du fichier /etc/mtab obsolète qui avaient été démontées auparavant avec l’option -n.

-f, --force
    Forcer un démontage (dans le cas d’un système NFS inaccessible).

    Note that this option does not guarantee that umount command does not hang. It’s strongly recommended to use absolute paths without symlinks to avoid unwanted readlink(2) and stat(2) system calls on unreachable NFS in umount.

-i, --internal-only
    Ne pas appeler l’auxiliaire /sbin/umount.système_de_fichiers même s’il existe. Par défaut, ce genre de programme auxiliaire est appelé s’il existe.

-l, --lazy
    Démontage paresseux. Détacher maintenant le système de fichiers de la hiérarchie de fichiers et effacer toutes les références vers ce système de fichiers dès qu’il n’est plus occupé.

    A system reboot would be expected in near future if you’re going to use this option for network filesystem or local filesystem with submounts. The recommended use-case for umount -l is to prevent hangs on shutdown due to an unreachable network share where a normal umount will hang due to a downed server or a network partition. Remounts of the share will not be possible.

-N, --namespace espace_de_noms
    Perform umount in the mount namespace specified by ns. ns is either PID of process running in that namespace or special file representing that namespace.

    umount(8) bascule vers cet espace de noms lorsqu’il lit /etc/fstab, écrit /etc/mtab (ou écrit sur /run/mount) et appelle umount(2), sinon, il s’exécute dans l’espace de noms originel. Cela signifie que l’espace de noms montage cible n’a pas à contenir n’importe quelle bibliothèque ou autre nécessité pour exécuter la commande umount(2).

    Consultez mount_namespaces(7) pour plus d’informations.

-n, --no-mtab
    Démonter sans écrire dans /etc/mtab.

-O, --test-opts option...
    Ne démonter que les systèmes de fichiers dont les options indiquées sont définies dans /etc/fstab. Plusieurs options peuvent être indiquées dans une liste, séparées par des virgules. Chaque option peut être préfixée par no pour indiquer qu’aucune action ne doit être réalisée pour cette option.

-q, --quiet
    Supprimer certains messages d’erreur « not mounted ».

-R, --recursive
    Recursively unmount each specified directory. Recursion for each directory will stop if any unmount operation in the chain fails for any reason. The relationship between mountpoints is determined by /proc/self/mountinfo entries. The filesystem must be specified by mountpoint path; a recursive unmount by device name (or UUID) is unsupported. Since version 2.37 it umounts also all over-mounted filesystems (more filesystems on the same mountpoint).

-r, --read-only
    Si le démontage échoue, essayer de remonter le système de fichiers en lecture seule.

-t, --types type...
    Indiquer que les actions devraient uniquement être entreprises sur les systèmes de fichiers du type indiqué. Plusieurs types peuvent être indiqués dans une liste, séparés par des virgules. La liste des types de systèmes de fichiers peut être préfixée par no pour indiquer qu’aucune action ne doit être réalisée pour aucun des types indiqués. Remarquez que umount lit les informations sur les systèmes de fichiers montés à partir du noyau (/proc/mounts) et les noms de système de fichiers peuvent être différents de ceux utilisés dans /etc/fstab (par exemple, « nfs4 » vs. « nfs »).

-v, --verbose
    Mode détaillé.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher le numéro de version et quitter.

DÉMONTAGES NON-SUPERUTILISATEURS

Normalement, seul le superutilisateur peut démonter des systèmes de fichiers. Cependant, quand fstab contient l’option user sur une ligne, n’importe qui peut démonter le système de fichiers correspondant. Pour plus de détails, consultez la page de manuel de mount(8).

Since version 2.34 the umount command can be used to perform umount operation also for fuse filesystems if kernel mount table contains user’s ID. In this case fstab user= mount option is not required.

Since version 2.35 umount command does not exit when user permissions are inadequate by internal libmount security rules. It drops suid permissions and continue as regular non-root user. This can be used to support use-cases where root permissions are not necessary (e.g., fuse filesystems, user namespaces, etc).

PÉRIPHÉRIQUE BOUCLE

La commande umount détachera automatiquement les périphériques boucle précédemment initialisés avec la commande mount(8), indépendamment de /etc/mtab.

In this case the device is initialized with "autoclear" flag (see losetup(8) output for more details), otherwise it’s necessary to use the option --detach-loop or call losetup -d device. The autoclear feature is supported since Linux 2.6.25.

AUXILIAIRES EXTERNES

La syntaxe des programmes externes de démontage est :

    umount.suffixe {répertoire|périphérique} [-flnrv] [-N espace_de_noms] [-t type.soustype]

où suffixe est le type de système de fichiers (ou la valeur d’un marqueur uhelper= ou helper= de mtab). L’option -t peut être utilisée pour les systèmes de fichiers qui ont une prise en charge des sous-types. Par exemple :

    umount.fuse -t fuse.sshfs

Un marqueur uhelper=quelque_chose (« unprivileged helper », auxiliaire ordinaire) peut apparaître dans le fichier /etc/mtab quand des utilisateurs ordinaires doivent pouvoir démonter un point de montage non défini dans /etc/fstab (par exemple pour un périphérique monté par udisks(1)).

A helper=type marker in the mtab file will redirect all unmount requests to the /sbin/umount.type helper independently of UID.

Note that /etc/mtab is currently deprecated and helper= and other userspace mount options are maintained by libmount.

ENVIRONNEMENT

LIBMOUNT_FSTAB=<path>
    overrides the default location of the fstab file (ignored for suid)

LIBMOUNT_DEBUG=all
    Activer la sortie de débogage de libmount.

FICHIERS

/etc/mtab
    Table des systèmes de fichiers montés (obsolète et généralement remplacé par un lien symbolique vers /proc/mounts).

/etc/fstab
    Table des systèmes de fichiers connus.

/proc/self/mountinfo
    Table des systèmes de fichiers montés générée par le noyau.

HISTORIQUE

Une commande umount est apparue dans la Version 6 du UNIX AT&T.

VOIR AUSSI

umount(2), losetup(8), mount_namespaces(7), mount(8)

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le gestionnaire de bogues sur

DISPONIBILITÉ

La commande umount fait partie du paquet util-linux, elle est disponible sur